Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieves an address, based on a given address ID.
cURL
curl --request GET \ --url 'https://api.equalsmoney.com/v2/addresses/{addressId}?accountId={{accountId}}' \ --header 'Authorization: <api-key>'
import requests url = "https://api.equalsmoney.com/v2/addresses/{addressId}" headers = {"Authorization": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}}; fetch('https://api.equalsmoney.com/v2/addresses/{addressId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.equalsmoney.com/v2/addresses/{addressId}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.equalsmoney.com/v2/addresses/{addressId}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.equalsmoney.com/v2/addresses/{addressId}") .header("Authorization", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.equalsmoney.com/v2/addresses/{addressId}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '<api-key>' response = http.request(request) puts response.read_body
200
Variant1
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "office", "nickName": "office", "addressLine1": "Great Building", "addressLine2": "Four Maple Street", "addressLine3": "Southwark", "addressContact": "Brian May", "city": "string", "postcode": "SE13UB", "country": "England", "countryCode": "GB" }
The ID of the address to work with.
The ID of the account to work with.
"F50091"
The format to return the addresses in.
iso20022
OK
The ID of the address.
The address type.
"office"
The first line of the address.
1 - 256
"Great Building"
The city of the address.
256
The postal or ZIP code of the address.
50
"SE13UB"
The country of the address.
"England"
The nickname of the address.
The second line of the address.
"Four Maple Street"
The third line of the address.
"Southwark"
The name of the contact associated with the address.
"Brian May"
ISO 3166-1 2 digit country code.
2
"GB"
Was this page helpful?